<!DOCTYPE html>
<!--
Objective:
  provide a way to backup Pad on IPFS and create a permanent link
  (pinnable w/ Pinata)
  (eventually associate a mutable name with the same name than the pad)
  (can be hosted on a "200" server)
-->
<script>
 var TTL = '1d'
</script>
<script src="https://michel47.github.io/snippets/js/essential.js"></script>

<div class=content>
<i>holo</i>Pad's name: <input type=text name="pad" value="holopad" placeholder="Pad's name">
<div class=md data-framaid="holoPad">
 saving a framapad to IPFS :

<ul>
 <li> <a href=https://quotidien.framapad.org/p/holopad>https://quotidien.framapad.org/p/holopad?lang=en</a>
 <li> <a href=https://quotidien.framapad.org/p/holopad/export/txt>https://quotidien.framapad.org/p/holopad/export/txt</a>
 <li> <a href=http://gateway.ipfs.io/ipfs/QmPN2yFYU218X5QcB7MLjbcww16nA3WZu8d375u6ewoN57>/ipfs/QmPN2yFYU218X5QcB7MLjbcww16nA3WZu8d375u6ewoN57</a>
 <li> <a href=http://kmue0e57mnh2mkbr33lr7k6i3z3xw7m7tnqs9f1hior5ia3jiec42.ipfs.localhost:8080/>/ipfs/kmue0e57mnh2mkbr33lr7k6i3z3xw7m7tnqs9f1hior5ia3jiec42</a>
 <!-- k2jmtxrqrdb4ts4pusn6ezltsy9ejx1d3rqbkfq3e61kgrkoycoqbt8y -->
</ul>

<a href=https://video.etherpad.com/p/testing>video etherpad</a>
</div>

<script>

 let map = { '1d':'quotidien', '1w':'hebdomadaire', '1m':'mensuel', '2m':'bimestriel', '6m': 'semestriel', '1y':'annuel' }
 let e = document.getElementsByName('pad')[0]
 console.dir(e)

 TBD('Please: continue to code this "framapad wrapper')


 // https://huit.re/a
 
</script>
